const fieldCodes = [
  'NUMBER',
  'DATE',
  'TEXT',
  'SINGLE_SELECT',
  'MULTIPLE_SELECT',
  'CHECKBOX',
  'TEXTAREA',
  'TABLE',
  'RADIO',
  'FILE',
  'DEVICE_IN_TABLE',
];

export const operatorConfig = [
  {
    label: '等于',
    value: 'EQ',
    range: [
      'NUMBER',
      'TEXT',
      'SINGLE_SELECT',
      'MULTIPLE_SELECT',
      'CHECKBOX',
      'RADIO',
    ],
  },
  {
    label: '不等于',
    value: 'NE',
    range: [
      'NUMBER',
      'TEXT',
      'SINGLE_SELECT',
      'MULTIPLE_SELECT',
      'CHECKBOX',
      'RADIO',
    ],
  },
  {
    label: '大于',
    value: 'GT',
    range: ['NUMBER', 'DATE'],
  },
  {
    label: '小于',
    value: 'LT',
    range: ['NUMBER', 'DATE'],
  },
  {
    label: '大于等于',
    value: 'GE',
    range: ['NUMBER', 'DATE'],
  },
  {
    label: '小于等于',
    value: 'LE',
    range: ['NUMBER', 'DATE'],
  },
  {
    label: '选择范围',
    value: 'RANGE',
    range: ['DATE'],
  },
  {
    label: '模糊查询',
    value: 'LIKE',
    range: ['TEXT', 'TEXTAREA'],
  },
];

export function getOperatorByCode(code) {
  return operatorConfig
    .filter((item) => item.range.includes(code))
    .map((item) => {
      return {
        label: item.label,
        value: item.value,
      };
    });
}
